apiVersion: tekton.dev/v1
kind: Task
metadata:
  name: scrape
spec:
  description: >-
    Scrape education data
  params:
    - name: tag
      type: string
      description: Image tag to use when pulling container image.
      default: "latest"
  steps:
    - name: container
      image: registry.gitlab.com/arbetsformedlingen/education/education-scraping/education-scraping:$(params.tag)
      imagePullPolicy: Always
      command:
        - python3
        - /educationscraping/go_spiders_docker.py
      envFrom:
        - configMapRef:
            name: "jobed-connect-scraper-cm"
        - secretRef:
            name: "jobed-connect-scraper-secret"
      env:
        - name: DATA_DIR
          value: $(workspaces.pipeline-data.path)
      volumeMounts:
        - name: tmp
          mountPath: /tmp
      securityContext:
        readOnlyRootFilesystem: true
      computeResources:
        limits:
          cpu: "1"
          memory: "5Gi"
        requests:
          cpu: "500m"
          memory: "4Gi"
  workspaces:
    - name: pipeline-data
  volumes:
    - name: tmp
      emptyDir: {}
